import { Locator } from "@playwright/test";
import { MenuItemAtom } from "./menu-item.atom";
import { Atom } from "../../atom";
import { ButtonAtom } from "../button/button.atom";
import { PopupAtom } from "../popup/popup.atom";
export declare class MenuAtom extends Atom {
    static CSS_CLASS: string;
    menuContentId?: string;
    getAllMenuItems(): Locator;
    getPopupBox(): PopupAtom;
    getMenuButton(): ButtonAtom;
    getMenuButtonIconName(): Promise<string | null>;
    toggleMenu(): Promise<void>;
    getMenuItemByContainingText(text: string | RegExp): MenuItemAtom;
    itemCount(): Promise<number>;
    isMenuOpened(): Promise<void>;
    isMenuClosed(): Promise<void>;
    mouseDownOnMenuButton(): Promise<void>;
    mouseUp(): Promise<void>;
    getMenuItemByIndex(idx: number): MenuItemAtom;
    getMenuItems(): Promise<MenuItemAtom[]>;
    getItemTextArray(): Promise<string[]>;
    getHeaderElements(): Locator;
    getHeaderTextArray(): Promise<string[]>;
    clickHeaderByIndex(idx: number): Promise<void>;
    getDividerElements(): Locator;
    clickDividerByIndex(idx: number): Promise<void>;
    getSelectedCheckboxElements(): Locator;
    getSelectedMenuCheckboxes(): Promise<MenuItemAtom[]>;
    getSelectedSwitchElements(): Locator;
    getSelectedMenuSwitches(): Promise<MenuItemAtom[]>;
    getSelectedCheckboxesCount(): Promise<number>;
    getSelectedSwitchesCount(): Promise<number>;
    getAppendToBodyMenu(): Locator;
    getAppendToBodyMenuDividers(): Locator;
}
